Merge catalog
curl --request POST \
--url https://app.alana.shopping/api/workspace/{workspaceId}/catalogs/{catalogId}/merge \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"source_catalog_id": "<string>",
"conflict_resolution": "skip"
}
'import requests
url = "https://app.alana.shopping/api/workspace/{workspaceId}/catalogs/{catalogId}/merge"
payload = {
"source_catalog_id": "<string>",
"conflict_resolution": "skip"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({source_catalog_id: '<string>', conflict_resolution: 'skip'})
};
fetch('https://app.alana.shopping/api/workspace/{workspaceId}/catalogs/{catalogId}/merge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"error": "INVALID_REQUEST",
"details": {
"field": "email",
"message": "Invalid email format"
}
}{
"error": "UNAUTHORIZED",
"details": {
"message": "Missing or invalid authentication token"
}
}{
"error": "FORBIDDEN",
"details": {
"message": "User does not have permission to access this resource"
}
}{
"error": "NOT_FOUND",
"details": {
"message": "Resource not found"
}
}{
"error": "INTERNAL_SERVER_ERROR",
"details": {
"message": "An unexpected error occurred"
}
}Mesclar Catálogo
Merge another catalog into this one
POST
/
api
/
workspace
/
{workspaceId}
/
catalogs
/
{catalogId}
/
merge
Merge catalog
Autorizações
Bearer token authentication via Auth0. Users authenticate through Auth0 Universal Login. Include the access token in the Authorization header: Authorization: Bearer <token>
Parâmetros de caminho
The workspace ID
Pattern:
^ws_[a-z0-9]+$Corpo
application/json
Resposta
Catalogs merged successfully
The response is of type object.
Última modificação em 16 de fevereiro de 2026
⌘I